/**
 * @file log_ostu.h
 *
 * @brief This file contains logger enumeration values for the module OTSU
 *
 */


/* Note: header guard format should not be changed */
#ifndef _LOG_OTSU_H_
#define _LOG_OTSU_H_




/* User has to update enum list */
#define OTSU_FOREACH_LOG(OTSU_LOG_NAME) 						\
        OTSU_LOG_NAME(OTSU_INIT_START)   					\
        OTSU_LOG_NAME(OTSU_INIT_FSM_COMPLETE)   					\
		OTSU_LOG_NAME(OTSU_INIT_COMPLETE)   					\
        OTSU_LOG_NAME(SAVE_CONTEXT_NOT_AVAIL)  				\
        OTSU_LOG_NAME(FW_date__u16___u16___u16_)    			\
        OTSU_LOG_NAME(Memory_addr_are__u8___u8___u16___u32_)  	\
        OTSU_LOG_NAME(FALLBACK_1_CORRUPTED)                \
        OTSU_LOG_NAME(FALLBACK_2_CORRUPTED)                \
        OTSU_LOG_NAME(FALLBACK_3_CORRUPTED)                \
        OTSU_LOG_NAME(FALLBACK_4_CORRUPTED)                \
        OTSU_LOG_NAME(DWND_BIN_HWADER_INVALID)                \
        OTSU_LOG_NAME(LOC_C_TO_B_FAILED)                \
        OTSU_LOG_NAME(LOC_B_OVERWRITE_CRC_FAIL)                \
        OTSU_LOG_NAME(NEW_FW_VALIDATION_FAILED)                \
        OTSU_LOG_NAME(NEW_FW_VALIDATION_PASSED)                \
        OTSU_LOG_NAME(SCH_SBAND_SYNC_MISMATCH__u8_)                \
		OTSU_LOG_NAME(LOG_SCH_SBAND_SYNC_MISMATCH)                \
        OTSU_LOG_NAME(SCH_SBAND_SYNC_MISMATCH__u8__cm__u8_)                \
        OTSU_LOG_NAME(SCH_BOOT_TIME_MISMATCH__u8__cm__u8_)                \
        OTSU_LOG_NAME(VFB_LOC_C)                \
        OTSU_LOG_NAME(VFB_LOC_D)                \
        OTSU_LOG_NAME(ALRM_INT_SBAND_GS_TIMOUT)                \
        OTSU_LOG_NAME(GS_SYNC_TIMER_ACT_FOR__u32__SECONDS)                \
        OTSU_LOG_NAME(NO_FW_FOR_GS_SYNC_CHECK)                \
		OTSU_LOG_NAME(OTSU_FALLBACK_CORRUPT_TEST_FSM_COMPLETED)			\
		OTSU_LOG_NAME(OTSU_FIRMWARE_DOWNLOAD_FSM_COMPLETED)			\
		OTSU_LOG_NAME(OTSU_TCTM_SERVICE_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_GS_SYNC_RCV_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_GS_SYNC_TIMEOUT_SCH_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_SCHBOOT_TIMEOUT_SCH_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_START_SHUTDOWN_PROC_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_OBC_HANDSHAKE_DONE_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_GS_SOFT_RESET_RQST_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_INITIATE_FW_UPDATE_FSM_COMPLETED)		\
		OTSU_LOG_NAME(OTSU_FSM_INVALID)                             \
        OTSU_LOG_NAME(OVERWRITE_C_CALLBACK_CALLED__FAIL)             \
		OTSU_LOG_NAME(OBC_SHUTDOWN_REQUEST_CREATE_FOR_REBOOT)             \
		OTSU_LOG_NAME(OVERWRITE_B_CALLBACK_CALLED)                          \
		OTSU_LOG_NAME(OVERWRITE_B_CALLBACK_CALLED__FAIL)                      \
		OTSU_LOG_NAME(SCHEDULED_BOOT_REQUEST_REJECTED_DUE_TO_NO_FW_AVAIL_TO_BOOT)   \
		OTSU_LOG_NAME(OTSU_SCH_ALARM_PASS_FOR_SBAND_GS_SYNC)                       \
		OTSU_LOG_NAME(OTSU__SBAND_GS_SYNC_TEST_REQUEST_CREATE)                        \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__SDRAM_FLASH_CRC_PASS)                         \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__SDRAM_FLASH_CRC_FAIL)                           \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__NOR_FLASH_CALLBACK_CALLED_FAIL)                 \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__NOR_CPY_STORE_DISCARDED)                         \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__NOR_FLASH_CRC_PASS)                            \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__NOR_FLASH_CRC_FAIL)                              \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__NOR_MEMCPY_COPY_FAIL)                             \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__NOR_DATA_NOT_AVAIL_CHECKSUM_FAIL)                 \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__NOR_DATA_NOT_AVAIL)                                 \
		OTSU_LOG_NAME(FTM_SAVECONTEXT__ERROR__CONTEXT_DATA_CHECKSUM_FAIL)                   \
		OTSU_LOG_NAME(OTSU_FILE_DOWNLOAD_SUCCESS)                                            \
		OTSU_LOG_NAME(FTM__SCT_100_COMPLETED)                                                 \
		OTSU_LOG_NAME(DOWNLOAD_REQUEST_RECEIVED)                                            \
		OTSU_LOG_NAME(TRAIL1_CRC_FAIL__TO_FACTORY_STORAGE_COPY__FALLBACK3)                 \
		OTSU_LOG_NAME(TRAIL2_CRC_FAIL__TO_FACTORY_STORAGE_COPY__FALLBACK3)                  \
		OTSU_LOG_NAME(TRAIL2_NOR_COPY__D_LOCATION_PASS)                                     \
		OTSU_LOG_NAME(FACTORY_COPY__FALLBACK3_PASS)                                          \
		OTSU_LOG_NAME(FACTORY_COPY__FALLBACK3_CPY_WRAPPER_FAIL)                              \
		OTSU_LOG_NAME(TRAIL1_CRC_FAIL__TO_NOR_COPY__FALLBACK2)                                \
		OTSU_LOG_NAME(TRAIL2_CRC_FAIL__TO_NOR_COPY__FALLBACK2)                                \
		OTSU_LOG_NAME(NOR_COPY__FALLBACK2_PASS)                                                \
		OTSU_LOG_NAME(NOR_COPY__FALLBACK2_CPY_WRAPPER_FAIL)                                   \
		OTSU_LOG_NAME(FACTORY_CRC_FAIL__FROM_D_TO_C_BY_FALLBACK3_CODE)                          \
		OTSU_LOG_NAME(FACTORY_COPY__FROM_D_TO_C_BY_FALLBACK3_PASS)                               \
		OTSU_LOG_NAME(FACTORY_COPY__FROM_D_TO_C_BY_FALLBACK3_CPY_WRAPPER_FAIL)                    \
		OTSU_LOG_NAME(GS_SYNC_WAIT_TIMER_CREATED)                                                  \
		OTSU_LOG_NAME(NO_NEW_FW_AVAIL_FOR_GS_SYNC_CHECK)                                           \
		OTSU_LOG_NAME(NEW_FW_IMAGE_AVAILABLE_FOR_SOFTWARE_UPGRADE)                                \
		OTSU_LOG_NAME(REBOOT_INITIATED_FOR_NEW_FW_UPDATE)                                           \
		OTSU_LOG_NAME(FALLBACK_APPLIED_DUE_TO_NEW_FW_NOT_WORKING)                               \
		OTSU_LOG_NAME(OTSU_READY_FOR_RESET_cm__RESET_NOT_TRIGGERED_FOR_FW_UPDATE)                \
		OTSU_LOG_NAME(OTSU__SBAND_SYNC_STS_UPDATED_FW_u8__cm__S_u8_)                             \
		OTSU_LOG_NAME(INTEG_TEST_CMD_RCVD__E_FW_VAL_PASS_SET)                                      \
		OTSU_LOG_NAME(INTEG_TEST_CMD_RCVD__E_FW_VAL_FAIL_SET)                                   \
		OTSU_LOG_NAME(INTEG_TEST_CMD_RCVD__E_FALLBACK1_FAIL_SET)                                 \
		OTSU_LOG_NAME(INTEG_TEST_CMD_RCVD__E_FALLBACK2_FAIL_SET)                                 \
		OTSU_LOG_NAME(INTEG_TEST_CMD_RCVD__E_FALLBACK3_FAIL_SET)                                 \
		OTSU_LOG_NAME(INTEG_TEST_CMD_RCVD__E_FALLBACK4_FAIL_SET)                                   \
		OTSU_LOG_NAME(BINARY_INTEGRITY_TEST_PASS)                                                  \
		OTSU_LOG_NAME(BINARY_INTEGRITY_TEST_FAIL)                                                   \
		OTSU_LOG_NAME(OBC_HANDSHAKE_FSM_DONE)                                                             \
		OTSU_LOG_NAME(INVALID_FW_RECEIVED_FILE_DISCARDED)                                            \
		OTSU_LOG_NAME(MANUAL__SAVE_CONTEXT_MODE__ACTIVATED)                                           \
		OTSU_LOG_NAME(BOOT_SCHEDULED)                                                              \
		OTSU_LOG_NAME(BOOT_SCHEDULE_REJECTED_TIME_INVALID)                                       \
		OTSU_LOG_NAME(FIRMWARE_INTEGRITY_FAIL)                                                    \
		OTSU_LOG_NAME(FW_UPDATE_CANCELED_cm_SOFTWARE_VERSION_MISSMATCHED)                          \
		OTSU_LOG_NAME(BOOT_POSTPONED)                                                         \
		OTSU_LOG_NAME(INVALID_TC_RCVED_u8_)                                                     \
		OTSU_LOG_NAME(SOFTWARE_VERSION_READ_FOR_LOC_eq__u16_)                                   \
        OTSU_LOG_NAME(SHUT_TIMER__u16_)                                                        \
        OTSU_LOG_NAME(BOOTTABLE_UPDATED_cm__BIN_SIZE__eq___u32_)                               \
        OTSU_LOG_NAME(OTSU_LOG_MAX)




#define OTSU_GENERATE_ENUM(ENUM) ENUM,
#define OTSU_GENERATE_STRING(STRING) #STRING,

typedef enum log_otsu_e_
{
	OTSU_FOREACH_LOG(OTSU_GENERATE_ENUM)
}log_otsu_e;


#endif /* _LOG_OTSU_H_ */
